var hoststr = document.location.hostname;
var hostname = hoststr.substring(hoststr.indexOf('.'), hoststr.length);

// Copyright (c) 1996-1997 Athenia Associates.
// http://www.webreference.com/js/
// License is granted if and only if this entire
// copyright notice is included. By Tomer Shiran.

function setCookie (name, value, expires, path, domain, secure) {
    var curCookie = name + "=" + escape(value) + ((expires) ? "; expires=" + expires.toGMTString() : "") + "; path=" + ((path) ? path : "/") + "; domain=" + ((domain) ? domain : hostname) + ((secure) ? "; secure" : "");
    document.cookie = curCookie;
}

function getCookie (name) {
  var dc = document.cookie;
  var prefix = name + "=";
  var begin = dc.indexOf("; " + prefix);
  if (begin == -1) {
    begin = dc.indexOf(prefix);
    if (begin != 0) return '';
  } else
    begin += 2;
  var end = document.cookie.indexOf(";", begin);
  if (end == -1)
    end = dc.length;
  return unescape(dc.substring(begin + prefix.length, end));
}

function deleteCookie (name, path, domain) {
  if (getCookie(name)) {
    document.cookie = name + "=" +
    "; path=" + ((path) ? path : "/") +
    "; domain=" + ((domain) ? domain : hostname) +
    "; expires=Thu, 01-Jan-70 00:00:01 GMT";
  }
}

function fixDate(date) {
  var base = new Date(0);
  var skew = base.getTime();
  if (skew > 0)
    date.setTime(date.getTime() - skew);
}

function rememberMe(obj) {
  var now = new Date();
  // fix the bug in Navigator 2.0, Macintosh
  fixDate(now);
  now.setTime(now.getTime() + 365 * 24 * 60 * 60 * 1000);
  setCookie('remember',obj.remember.value,now);
  setCookie('author_name',obj.post_comment_author.value,now);
  setCookie('author_email',obj.post_comment_author_email.value,now);
  setCookie('author_url',obj.post_comment_author_link.value,now);
}

function forgetMe(obj) {
   deleteCookie('author_name');
   deleteCookie('author_email');
   deleteCookie('author_url');
   deleteCookie('remember');
}

function handleRemember(obj) {
  if(obj.remember.checked==1) {
    rememberMe(obj)
  } else {
    forgetMe(obj)
  }
}

function initFormValues(obj) {
  if(author_name = getCookie("author_name")) obj.post_comment_author.value = author_name;
  author_email = getCookie("author_email");
  if(author_email && obj.post_comment_author_email.value=="") obj.post_comment_author_email.value = author_email;
  if(!obj.post_comment_author_link.value || obj.post_comment_author_link.value=="http://") obj.post_comment_author_link.value = getCookie("author_url");
  obj.remember.checked = getCookie("remember");
}

onload = initForm;
function initForm () {
  if (!document.post_comment || window.location.pathname=="/comments") return;
  if($('anon_comments') && $('anon_comments').value=="1") initFormValues(document.post_comment);
}